> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://useroot.docs.buildwithfern.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://useroot.docs.buildwithfern.com/_mcp/server.

# Create a new payer

POST https://api.useroot.com/api/payers
Content-Type: application/json

Create a new payer in the system. 

A payer is an entity that sends money to your platform via ACH debit transactions. Each payer must have a unique email address within your organization.

## Required Information

When creating a payer, you must provide:

- **Email**: Must be unique within your organization  
- **Name**: Full name of the payer

## Response

Returns the newly created payer object with:
- Unique payer ID
- All provided information
- Timestamps for creation and last update

Reference: https://useroot.docs.buildwithfern.com/api-reference/payers-api/create-payer

## Authentication

- `x-api-key` header (required) — RootPay API key sent in the x-api-key header. Keys are environment-scoped: live_* for production, test_* for sandbox.

## Request

### Body (application/json)

- `name` (string, required)
- `email` (string, required)
- `country_code` (enum, optional)
  - Allowed values: `US`, `GB`, `IN`
- `country_sub_division` (string, optional, nullable) — State, province, or country subdivision
- `city` (string, optional, nullable) — City or town name
- `address_line` (string, optional, nullable) — Street address, building number, postal code, etc.
- `postal_code` (string, optional, nullable) — Zip or postal code
- `metadata` (map from string to string, optional, nullable)

## Response

### 201

Payer created successfully

- `data` (object, required)
  - `created_at` (datetime, required)
  - `updated_at` (datetime, required)
  - `id` (string, required)
  - `name` (string, required)
  - `email` (string, required)
  - `country_code` (enum, optional)
    - Allowed values: `US`, `GB`, `IN`
  - `country_sub_division` (string, optional, nullable) — State, province, or country subdivision
  - `city` (string, optional, nullable) — City or town name
  - `address_line` (string, optional, nullable) — Street address, building number, postal code, etc.
  - `postal_code` (string, optional, nullable) — Zip or postal code
  - `client_metadata` (map from string to string, optional)
- `warning` (string, optional, nullable)

## Examples

**Request**

```json
{
  "name": "John Doe",
  "email": "john.doe@company.com",
  "country_code": "US",
  "country_sub_division": "NY",
  "city": "New York",
  "address_line": "123 Main Street, Apt 4B",
  "postal_code": "10001"
}
```

**Response**

```json
{
  "data": {
    "created_at": "2024-03-20T12:00:00Z",
    "updated_at": "2024-03-20T12:00:00Z",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "John Doe",
    "email": "john.doe@company.com",
    "country_code": "US",
    "country_sub_division": "NY",
    "city": "New York",
    "address_line": "123 Main Street, Apt 4B",
    "postal_code": "10001"
  }
}
```

**SDK Code**

```python United States payer
import requests

url = "https://api.useroot.com/api/payers"

payload = {
    "name": "John Doe",
    "email": "john.doe@company.com",
    "country_code": "US",
    "country_sub_division": "NY",
    "city": "New York",
    "address_line": "123 Main Street, Apt 4B",
    "postal_code": "10001"
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript United States payer
const url = 'https://api.useroot.com/api/payers';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"name":"John Doe","email":"john.doe@company.com","country_code":"US","country_sub_division":"NY","city":"New York","address_line":"123 Main Street, Apt 4B","postal_code":"10001"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go United States payer
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.useroot.com/api/payers"

	payload := strings.NewReader("{\n  \"name\": \"John Doe\",\n  \"email\": \"john.doe@company.com\",\n  \"country_code\": \"US\",\n  \"country_sub_division\": \"NY\",\n  \"city\": \"New York\",\n  \"address_line\": \"123 Main Street, Apt 4B\",\n  \"postal_code\": \"10001\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby United States payer
require 'uri'
require 'net/http'

url = URI("https://api.useroot.com/api/payers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"John Doe\",\n  \"email\": \"john.doe@company.com\",\n  \"country_code\": \"US\",\n  \"country_sub_division\": \"NY\",\n  \"city\": \"New York\",\n  \"address_line\": \"123 Main Street, Apt 4B\",\n  \"postal_code\": \"10001\"\n}"

response = http.request(request)
puts response.read_body
```

```java United States payer
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.useroot.com/api/payers")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"John Doe\",\n  \"email\": \"john.doe@company.com\",\n  \"country_code\": \"US\",\n  \"country_sub_division\": \"NY\",\n  \"city\": \"New York\",\n  \"address_line\": \"123 Main Street, Apt 4B\",\n  \"postal_code\": \"10001\"\n}")
  .asString();
```

```php United States payer
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.useroot.com/api/payers', [
  'body' => '{
  "name": "John Doe",
  "email": "john.doe@company.com",
  "country_code": "US",
  "country_sub_division": "NY",
  "city": "New York",
  "address_line": "123 Main Street, Apt 4B",
  "postal_code": "10001"
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp United States payer
using RestSharp;

var client = new RestClient("https://api.useroot.com/api/payers");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"John Doe\",\n  \"email\": \"john.doe@company.com\",\n  \"country_code\": \"US\",\n  \"country_sub_division\": \"NY\",\n  \"city\": \"New York\",\n  \"address_line\": \"123 Main Street, Apt 4B\",\n  \"postal_code\": \"10001\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift United States payer
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "John Doe",
  "email": "john.doe@company.com",
  "country_code": "US",
  "country_sub_division": "NY",
  "city": "New York",
  "address_line": "123 Main Street, Apt 4B",
  "postal_code": "10001"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.useroot.com/api/payers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```